//************************************************************************/
// [Caution]: this sample is only a demo how to install ePass1000 driver,
//            If you want to install ePass1000 middleware, please change the
//	      "ePsInst_drv.dll" to "ePsInst_mw.dll",
//            and change the parameter "/c2" of esa_DoInstall() to "/a"
//***********************************************************************/
unit epsSetupApi;

interface
uses
    windows,Classes;
const
//return value used by the deletefile notify callback function.
    NOTIFY_DELETEFILE_REBOOT    =1;
    NOTIFY_DELETEFILE_RETRY	=2;
    NOTIFY_DELETEFILE_CANCEL	=3;
type



    TDeleteFileNotify = function(strMsg:PChar):DWORD;stdcall;
    TShowMsgNotify = procedure(strMsg:PChar);stdcall;

    procedure esa_SetDeleteFileCallback(fNotify:TDeleteFileNotify);stdcall;external 'ePsInst_drv.dll';
    procedure esa_SetShowMsgNotifyCallback(fNotify:TShowMsgNotify);stdcall;external 'ePsInst_drv.dll';
    procedure esa_SetShowErrMsgNotifyCallback(fNotify:TShowMsgNotify);stdcall;external 'ePsInst_drv.dll';

    function esa_DoInstall(strPram:string):boolean;stdcall;external 'ePsInst_drv.dll';
    function esa_DoUninstall(strPram:string):boolean;stdcall;external 'ePsInst_drv.dll';
    function esa_IsNeedReboot():boolean;stdcall;external 'ePsInst_drv.dll';

implementation

end.
